"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CookieUtils = void 0;
class CookieUtils {
}
exports.CookieUtils = CookieUtils;
CookieUtils.getMap = (cookieString = document.cookie) => {
    let map = {};
    cookieString.split("; ").forEach(line => {
        let s = line.split("=");
        map[s[0]] = s[1];
    });
    return map;
};
CookieUtils.set = (key, value, expires, path) => {
    let day = 24 * 60 * 60 * 1000;
    let date = new Date();
    date.setTime(date.getTime() + expires * day);
    document.cookie = `${key}=${value};path=${path};expires=${date.toUTCString()}`;
};
CookieUtils.get = (key) => {
    return CookieUtils.getMap()[key];
};
CookieUtils.setBatch = (cookieString, expires, path) => {
    let cookies = cookieString.split("; ");
    cookies.forEach(cookie => {
        let s = cookie.split("=");
        CookieUtils.set(s[0], s[1], expires, path);
    });
};
