export declare class DateUtils {
    /**
     * 从给定时间增加天
     * @param date 日期
     * @param day 天
     */
    static plusDays: (date: Date, day: number) => Date;
    /**
         * 从给定时间增加小时
         * @param date 日期
         * @param hour 小时
         */
    static plusHours: (date: Date, hour: number) => Date;
    /**
         * 从给定时间增加分钟
         * @param date 日期
         * @param minute 分钟
         */
    static plusMinutes: (date: Date, minute: number) => Date;
    /**
     * 从给定时间增加秒数
     * @param date 日期
     * @param second 秒
     */
    static plusSecond: (date: Date, second: number) => Date;
    /**
     * 格式化输出日期
     * @param date 日期
     * @param fmt 格式 "yyyy-MM-dd" 等，默认为 "yyyy-MM-dd hh:mm:ss"
     */
    static format: (date: Date, fmt?: string) => string;
}
