export interface ScreenInfo {
    clientInfo: {
        clientWidth: number;
        clientHeight: number;
        clientLeft: number;
        clientTop: number;
    };
    scrollInfo: {
        scrollWidth: number;
        scrollHeight: number;
    };
}
export declare class DomUtils {
    private static screenInfo;
    static getScreenInfo(): {
        body: ScreenInfo;
        documentElement: ScreenInfo;
    };
    /**
     * 滚动y轴
     * @param y 距离
     */
    static scrollY(y: number): void;
    /**
     * 滚动到底部
     */
    static scrollYToBottom(): void;
    /**
     * 滚动到顶部
     */
    static scrollYToTop(): void;
}
/**
 * 文本框工具类
 */
export declare class TextAreaUtils {
    /**
     * 使一个textarea获得焦点，并选中指定位置的文字
     * @param textarea textarea
     * @param start 开始位置
     * @param end 结束位置
     */
    static select(textarea: HTMLTextAreaElement, start: number, end?: number): void;
    /**
     * 向一个文本框中光标当前位置插入文本
     * @param textarea textarea
     * @param sourceText 原文本
     * @param prefix 前缀
     * @param suffix 后缀
     * @param callback 拼接完成后的操作(一般为更新绑定的值)
     */
    static insertText(textarea: HTMLTextAreaElement, { sourceText, prefix, suffix, callback }: {
        sourceText?: string;
        prefix: string;
        suffix?: string;
        callback: (result: string, position: number[]) => void;
    }): void;
}
export declare class Title {
    static suffix: string;
    static prefix: string;
    static set(text: string): void;
}
