"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StorageUtils = void 0;
/**
 * 在Localstorage中保存对象的快捷工具
 */
class StorageUtils {
    static put(key, value) {
        this.storage.setItem(key, JSON.stringify(value));
    }
    static get(key) {
        let item = this.storage.getItem(key);
        if (item) {
            return JSON.parse(item);
        }
        return undefined;
    }
    static del(key) {
        this.storage.removeItem(key);
    }
    static clear() {
        this.storage.clear();
    }
    /**
     * 获取指定前缀的key
     * @param prefix 前缀
     */
    static getKeyByPrefix(prefix) {
        return Object.keys(this.storage).filter(key => key.startsWith(prefix));
    }
    /**
     * 获取指定前缀的value
     * @param prefix 前缀
     */
    static getValueByPrefix(prefix) {
        return this.getKeyByPrefix(prefix).map(key => this.get(key));
    }
    /**
     * 获取storage中保存数据的量
     */
    static size() {
        let size = 0;
        Object.keys(this.storage)
            .map(key => this.storage.getItem(key))
            .forEach(item => {
            if (item) {
                size += item.length;
            }
        });
        return size;
    }
}
exports.StorageUtils = StorageUtils;
StorageUtils.storage = localStorage;
